# Interface methods for submodule: StatisticsImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageSinkProxy as _ImageSinkProxy


# Interface methods for class: StatisticsImageFilter
class StatisticsImageFilterProxy(_ImageSinkProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetMinimumOutput(self):
		""""""
		...

	@overload
	def GetMinimum(self) -> float:
		""""""
		...

	@overload
	def GetMinimum(self) -> int:
		""""""
		...

	def GetMaximumOutput(self):
		""""""
		...

	@overload
	def GetMaximum(self) -> float:
		""""""
		...

	@overload
	def GetMaximum(self) -> int:
		""""""
		...

	def GetMeanOutput(self):
		""""""
		...

	def GetMean(self) -> float:
		""""""
		...

	def GetSigmaOutput(self):
		""""""
		...

	def GetSigma(self) -> float:
		""""""
		...

	def GetVarianceOutput(self):
		""""""
		...

	def GetVariance(self) -> float:
		""""""
		...

	def GetSumOutput(self):
		""""""
		...

	def GetSum(self) -> float:
		""""""
		...

	def GetSumOfSquaresOutput(self):
		""""""
		...

	def GetSumOfSquares(self) -> float:
		""""""
		...

	def SetNumberOfStreamDivisions(self, n: int) -> None:
		""""""
		...

	def GetNumberOfStreamDivisions(self) -> int:
		""""""
		...

	def MakeOutput(self, name: str):
		""""""
		...

